Function Get-PSFolderSize { 
    [CmdletBinding()]
    Param( 
        [ValidateScript({Test-Path $_})]
        [String]$Path
    )
    Write-Verbose 'Mesure de la taille du dossier en se basant sur la somme de tous les fichiers.'

    (Get-ChildItem -Path $Path -Recurse -File | ` 
    Measure-Object -Property Length -Sum ).Sum /1MB 
}